#################################################################################################
##     Définition des éléments communs à tous les jeux
## (Image, fonctions, transforms, variables, personnages, fonctions ...)
#################################################################################################
#
#Images pour les crédits
image credits logiciels = "credits-logiciels.png"
image credits auteur = "korova.png"

#--------------------------------------------------------------------------------------------------
# fonction pour l'affichage de la licence des assets dans les crédits
init python :
    def affich_licence (lic,version):
        # lic doit être un tableau avec les diverses variantes de licences CC (aka by, sa, nc)
        # ou la chaîne "zero" pour CC0
        # ou la chaîne "lal" pour Licence Art libre
        # 
        # Version correspond à la version de CC (2.0,3.0,4.0) ou None pour CC0
        im = ""
        txt = ""
        lien = ""
        
        # cas de la licence cc0 (domaine public)
        if lic == "zero":
            if _preferences.language == None:
                return "{image=cc/Cc-zero.png} {a=https://creativecommons.org/publicdomain/zero/1.0/deed.fr}CC0 (Domaine public){/a}"
            else:
                return "{image=cc/Cc-zero.png} {a=https://creativecommons.org/publicdomain/zero/1.0}CC0 (Public domain){/a}"
        
        #cas de la licence art libre
        elif lic == "lal":
            if _preferences.language == None:
                return "{image=cc/lal.png} {a=http://artlibre.org/licence/lal/}LAL (licence art libre){/a}"
            else:
                return "{image=cc/lal.png} {a=http://artlibre.org/licence/lal/en/}FAL (Free Art License){/a}"
        # Autres licences CC
        else:
            for el_lic in lic:
                # On ajoute les diverses images
                im += "{image=cc/Cc-" + el_lic +".png} "
                # texte affiché à l'écran
                txt += "-" + el_lic.upper()
                # construction du lien vers l'explication des licences (le by est toujours présent, on n'ajoute que les autres)
                if el_lic == 'by':
                    pass
                else:
                    lien += "-" + el_lic
            # exemple de résultat obtenu
            #{image=cc/Cc-by.png} {image=cc/Cc-sa.png}  {a=http://creativecommons.org/licenses/by-sa/2.0/fr/} CC-BY-SA{/a}
            chaine = im + "{a=http://creativecommons.org/licenses/by" + lien + "/" + version 
            if _preferences.language == None:
                chaine += "/fr"
            chaine += "/}CC" + txt + "{/a}"
            return chaine

#--------------------------------------------------------------------------------------------------
# fonctions pour activer les hyperliens https
    def new_hyperlink_style(target):
        return style.hyperlink_text
   
    def new_hyperlink_function(target):
        if target.startswith("http:") or target.startswith("https:"):
            try:
                import webbrowser
                webbrowser.open(target)
            except:
                pass
        else:
            renpy.call_in_new_context(target)

    # Redéfinition des fonctions d'hyperliens avec les nouvelles cibles
    style.default.hyperlink_functions = (new_hyperlink_style, new_hyperlink_function, None)

#--------------------------------------------------------------------------------------------------
# Contrôle manuel de la fenêtre NVL
init python:
    config.empty_window = nvl_show_core
    config.window_hide_transition = None
    config.window_show_transition = None
    
        
#--------------------------------------------------------------------------------------------------
# Déclarez les personnages utilisés dans le jeu.
# narrateur nvl
define n = Character(None, kind=nvl, what_color = "#ccc")
