##############################################################################
##############################################################################
#
# Variantes des Screens Personnalisés pmour les versions Android
# (menu rapide, pour l'accueil, nv menu des options, navigation, load et save)
#
##############################################################################
##############################################################################


##############################################################################
# Menu principal
#
screen menu_accueil:

    # Pour être sûr que tout autre menu est remplacé
    tag menu
    
    # Version Android
    variant "android"

    # Le fond du menu principal
    window:
        style "mm_root"

    # Les boutons du menu principal.
    frame:
        style_group "mm"
        xalign 0.5
        yalign 0.95
        background None

        has hbox

        if _preferences.language == None:
            textbutton u"{font=gui/open-iconic.ttf}\uE069{/font}\nRead in\nEnglish":
                style "accueil_android"
                action Language("en")
        else:
            textbutton u"{font=gui/open-iconic.ttf}\uE069{/font}\nLire en\nfrançais":
                style "accueil_android"
                action Language(None)
            
            
        textbutton _(u"{font=gui/open-iconic.ttf}\uE021{/font}\nBookmark"):
            style "accueil_android"
            action ShowMenu("load")

        textbutton _(u"{font=gui/open-iconic.ttf}{size=80}\uE0A9{/size}{/font}\n{size=50}Read{/size}"):
            style "accueil_android"
            action Start()
        
        textbutton _(u"{font=gui/open-iconic.ttf}\uE041{/font}\nOptions"):
            style "accueil_android"
            action ShowMenu("menu_options")
        
        textbutton _(u"{font=gui/open-iconic.ttf}\uE0AB{/font}\nQuit"):
            style "accueil_android"
            action Quit(confirm=False) 
        
init -2:
    # styles pour l'affichage des boutons de l'écran d'accueil
    style accueil_android:
        xminimum 185
        ysize 100
        xmargin 25
        background None
        
    style accueil_android_text is accueil_hover   


##############################################################################
# Menu des options
#
screen menu_options:
    # Ecran qui s'affiche quand on clique droit ou qu'on y accède par l'accueil ou le menu rapide
    
    # Version pour Android (plus de boutons)
    variant "android"
       
    # Pour être sûr que tout autre menu est remplacé
    tag menu

    # Fond du menu jeu
    window:
        style "gm_root"

    # Boutons de navigation.
    frame:
        style_group "mg_nav"
        xalign 0.5
        yalign 0.5

        has vbox
        
        hbox:
            textbutton _(u"{font=gui/open-iconic.ttf}\uE0DA{/font}\nPreferences") action ShowMenu("preferences")
            textbutton _(u"{font=gui/open-iconic.ttf}\uE003{/font}\nReturn") action Return()
        hbox:
            textbutton _(u"{font=gui/open-iconic.ttf}\uE021{/font}\nLoad Game") action ShowMenu("load")
            textbutton _(u"{font=gui/open-iconic.ttf}\uE078{/font}\nMain Menu") action MainMenu()
        hbox:
            textbutton _(u"{font=gui/open-iconic.ttf}\uE021{/font}\nSave Game") action ShowMenu("save")
            textbutton _(u"{font=gui/open-iconic.ttf}\uE0AB{/font}\nQuit") action Quit()
            
            
##############################################################################
# Menu rapide perso
#

screen menu_rapide:
    
    # Version Android => On ne laisse que deux boutons : le bouton pause et le bouton vers le menu des options
    variant "android"
    
#    textbutton u"\uE092":  # Bouton pause
#        style "android_button"
#        yalign 0.02
#        action Show("ecran_pause")
        
    textbutton u"\uE062":  # Bouton d'accès au menu des options
        style "android_button"
        yalign 0.0
        xalign 1.0
        action ShowTransient("menu_rapide_volet") #ShowMenu('menu_options')
        
screen menu_rapide_volet:
    # volet qui apparaît pour accéder aux boutons du menu rapide
            
    window:
        style "android_rapide"
        vbox:
            style_group "android_rapide"
            yalign 0.5
        
            for i in range(len(quick_boutons)):
                if _preferences.afm_enable and quick_boutons[i]["nom"] == "avance_auto":
                    $ image = u"\uE099"
                    $ legende = "Auto off"
                else:
                    $ image = quick_boutons[i]["image"]
                    $ legende = quick_boutons[i]["texte"]
                $ texte = "{font=gui/open-iconic.ttf}{size=25}" + image + "{/size}{/font}\n" + legende
                textbutton texte:
                    action [Hide("menu_rapide_volet"),quick_boutons[i]["action"]]
               
init -2:
    style android_button:
        background None
        size 30
        left_padding 35
        bottom_padding 35
        top_padding 5
        right_padding 5
        
    style android_button_text:
        font "gui/open-iconic.ttf"
        color "#ddd8"
        outlines  [(1,"#0008",1,1)]

    style android_rapide:
        spacing 50
        yalign 0.5
        xalign 1.0
        xmaximum 250
        background "#fffd"
        yfill True
 
    style android_rapide_button:
        background None
        size_group "android_rapide"
        xpadding 20
        ypadding 10
    
    style android_rapide_button_text:
        color accueil_color
        outlines [(0,accueil_shadow,2,2),(1,accueil_shadow,0,0)]
        
##############################################################################
# Préférences
#

screen preferences:

    tag menu
    
    # version Android (avec boutons + larges)
    variant "android"

    # Inclus la navigation.
    use navigation

    # Met les colonnes de navigation dans une grille de largeur 3.
    grid 3 1:
        style_group "prefs"
        xfill True

        # Colonne de gauche.
        vbox:
            # rajout d'un boîte pour changer de langue
            frame:
                style_group "android_pref"
                has vbox

                label _("Language")
                textbutton "Français" action Language(None)
                textbutton "English" action Language("en")

            frame:
                style_group "android_pref"
                has vbox

                label _("Display")
                textbutton _("Window") action Preference("display", "window")
                textbutton _("Fullscreen") action Preference("display", "fullscreen")

            frame:
                style_group "android_pref"
                has vbox

                label _("Transitions")
                textbutton _("All") action Preference("transitions", "all")
                textbutton _("None") action Preference("transitions", "none")



        # Colonne du milieu
        vbox:

            frame:
                style_group "android_pref"
                has vbox

                label _("Auto-Forward")
                textbutton _("Auto-Forward") action Preference("auto-forward", "enable")
                textbutton _("No Auto-Forward") action Preference("auto-forward", "disable")

            frame:
                style_group "android_pref"
                has vbox

                label _("Auto-Forward Time")
                null height 15
                bar value Preference("auto-forward time")
                null height 15

                if config.has_voice:
                    textbutton _("Wait for Voice") action Preference("wait for voice", "toggle")

            frame:
                style_group "android_pref"
                has vbox

                label _("Text Speed")
                null height 15
                bar value Preference("text speed")
                null height 15
                
        # Colonne de droite
        vbox:
            frame:
                style_group "android_pref"
                has vbox

                label _("Music Volume")
                null height 15
                bar value Preference("music volume")
                null height 15

            frame:
                style_group "android_pref"
                has vbox

                label _("Sound Volume")
                null height 15
                bar value Preference("sound volume")
                null height 15

                if config.sample_sound:
                    textbutton _("Test"):
                        action Play("sound", config.sample_sound)
                        style "soundtest_button"

            if config.has_voice:
                frame:
                    style_group "android_pref"
                    has vbox

                    label _("Voice Volume")
                    null height 15
                    bar value Preference("voice volume")
                    null height 15

                    textbutton _("Voice Sustain") action Preference("voice sustain", "toggle")
                    if config.sample_voice:
                        textbutton _("Test"):
                            action Play("voice", config.sample_voice)
                            style "soundtest_button"
init -2:
    style android_pref is pref
    style android_pref_button:
        xpadding 10
        ypadding 10
    
    style android_pref_frame:
        xpadding 5
        ypadding 5
        

##############################################################################
# Navigation
#

screen navigation:
    
    # version pour Android (avec boutons plus larges)
    variant "android"

    # Fond du menu jeu
    window:
        style "gm_root"

    # Boutons de navigation.
    frame:
        style_group "android_gm_nav"
        xalign .95
        yalign .95
        

        has vbox

        textbutton _("Return") action Return()
        textbutton _("Help") action Help()
        textbutton _("Quit") action Quit()

init -2 python:
    style.android_gm_nav_button.size_group = "android_gm_nav"
    style.android_gm_nav_button.xpadding = 10
    style.android_gm_nav_button.ypadding = 10
    
##############################################################################
# Screens pour les signets
#

screen file_picker:
    # version Android (moins de slots par page et boutons + larges)
    variant "android"

    frame:
        style "android_file_picker_frame"

        has vbox

        # Les boutons en haut permettent à l'utilisateur
        # de sélectionner une page de fichiers.
        hbox:
            style_group "android_file_picker_nav"

            textbutton _("Previous"):
                action FilePagePrevious()

            textbutton _("Auto"):
                action FilePage("auto")

            textbutton _("Quick"):
                action FilePage("quick")

            for i in range(1, 6):
                textbutton str(i):
                    action FilePage(i)

            textbutton _("Next"):
                action FilePageNext()

        $ columns = 2
        $ rows = 3

        # Affiche une grille d'emplacements de sauvegarde
        grid columns rows:
            transpose True
            xfill True
            style_group "android_file_picker"

            # Montre 6 emplacements, numérotés de 1 à 6.
            for i in range(1, columns * rows + 1):

                # Chaque emplacement est un bouton.
                button:
                    action FileAction(i)
                    xfill True

                    has hbox

                    # Ajoute un screenshot.
                    add FileScreenshot(i)

                    $ file_name = FileSlotName(i, columns * rows)
                    $ file_time = FileTime(i, empty=_("Empty Slot."))
                    $ save_name = FileSaveName(i)

                    text "{space=20}[file_name]. [file_time!t]\n[save_name!t]"

                    key "save_delete" action FileDelete(i)

init -2 python:
#    style.android_file_picker = Style(style.file_picker)
    
    style.android_file_picker_frame = Style(style.file_picker_frame)

    style.android_file_picker_nav_button = Style(style.file_picker_nav_button)
    style.android_file_picker_nav_button.xpadding = 25
    style.android_file_picker_nav_button.ypadding = 15
    style.android_file_picker_nav_button_text = Style(style.file_picker_nav_button_text)

    style.android_file_picker_button = Style(style.file_picker_button)
    style.android_file_picker_button.ypadding = 20
    style.android_file_picker_button.xpadding = 10
    style.android_file_picker_text = Style(style.file_picker_text)
    
##############################################################################
# Menu Oui/Non
#


screen yesno_prompt:

    modal True
    
    variant "android"

    window:
        style "gm_root"

    frame:
        style_group "yesno"

        xfill True
        xmargin .05
        ypos .1
        yanchor 0
        ypadding .05

        has vbox:
            xalign .5
            yalign .5
            spacing 30

        label _(message):
            xalign 0.5

        hbox:
            xalign 0.5
            spacing 100

            textbutton _("Yes") xpadding 30 ypadding 20 action yes_action
            textbutton _("No") xpadding 30 ypadding 20 action no_action

    # Clic droit ou échap pour "non"
    key "game_menu" action no_action




